1. Order
Corvus API
  • Token
    • Get Token
      POST
  • User
    • Wallet
      • Query user ledger balance
  • Position
    • My positions with pagination
      GET
  • Market Data
    • Get match team information
      GET
    • Get match team information in batch
      POST
    • Get market price history
      GET
    • Get order books in batch
      POST
    • Get topic market groups
      GET
    • Get topic event list
      GET
    • Get historical events in the same topic series
      GET
    • Get topic event details
      GET
  • Order
    • My orders with pagination
      GET
    • Create prediction buy order
      POST
    • Create prediction sell order
      POST
  • Schemas
    • ErrorResponse
    • WalletBalanceResponse
    • WalletAccountBalanceVo
    • DepositAddressVo
    • PositionListResponse
    • PositionVo
    • TeamsQueryBo
    • TeamsResponse
    • MatchTeamsVo
    • PriceHistoryResponse
    • PriceHistoryPointVo
    • OrderBookQueryBo
    • OrderBooksResponse
    • OrderBookVo
    • OrderBookEntry
    • TopicGroupsResponse
    • TopicMarketGroupVo
    • MarketEventsResponse
    • MarketDetailResponse
    • MarketItemVo
    • EventMarketVo
    • OrderListResponse
    • PredictionOrderListVo
    • PredictionOrderCreateBo
    • PredictionSellOrderCreateBo
    • PredictionOrderResponse
    • PredictionOrderVo
  1. Order

Create prediction sell order

POST
/api/order/sell
Freezes the current user's position shares and submits a SELL order to Polymarket. If the external trade succeeds, the order enters the subsequent review and crediting flow. It requires prediction:order:create permission and is protected against duplicate submission.

Request

Authorization
OAuth 2.0
Password
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
or
Header Params

Body Params application/jsonRequired

Example
{
    "positionId": 10001,
    "sellShares": 10.5,
    "idempotencyKey": "5cd9a0b6-9999-4282-aef5-fecdd0e50001"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://ourcorvus.com/api/order/sell' \
--header 'Accept-Language: zh_CN' \
--header 'clientId: 8e06704235ad224b8b2af4eeb95580a9' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "positionId": 10001,
    "sellShares": 10.5,
    "idempotencyKey": "5cd9a0b6-9999-4282-aef5-fecdd0e50001"
}'

Responses

🟢200
application/json
Created successfully
Bodyapplication/json

Example
{
    "code": 200,
    "msg": "Operation successful",
    "data": {
        "orderId": "SELL202605180001",
        "orderSide": "SELL",
        "orderType": "FOK",
        "relatedPositionId": 10001,
        "question": "Will Team A win?",
        "groupItemTitle": "Moneyline",
        "sportsMarketType": "moneyline",
        "line": null,
        "outcome": "Yes",
        "outcomePrice": 0.45,
        "betAmount": null,
        "sharesAmount": 10.5,
        "tokenType": "USDC",
        "exchangeRate": 1,
        "totalFee": 0.05,
        "totalDeductAmount": null,
        "potentialPayout": null,
        "orderStatus": "PENDING_REVIEW",
        "remark": null,
        "polyOrderId": "0xpolyorder",
        "polyStatus": "matched",
        "txHash": null
    }
}
🟠400
🟠401Unauthorized
🟠403Forbidden
🔴500ServerError
Modified at 2026-05-19 06:33:04
Previous
Create prediction buy order
Next
ErrorResponse
Built with